LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XMenuListener Interface Referencepublished

makes it possible to receive menu events on a window. More...

`import"XMenuListener.idl";`

Inheritance diagram for XMenuListener:

## Public Member Functions
void | itemHighlighted ([in] MenuEvent aEvent)
| is invoked when a menu item is highlighted. More...
void | itemSelected ([in] MenuEvent aEvent)
| is invoked when a menu item is selected. More...
void | itemActivated ([in] MenuEvent aEvent)
| is invoked when a menu is activated. More...
void | itemDeactivated ([in] MenuEvent aEvent)
| is invoked when a menu is deactivated. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive menu events on a window.

## Member Function Documentation

void itemActivated | ( | [in] MenuEvent | aEvent | ) |

is invoked when a menu is activated.

void itemDeactivated | ( | [in] MenuEvent | aEvent | ) |

is invoked when a menu is deactivated.

void itemHighlighted | ( | [in] MenuEvent | aEvent | ) |

is invoked when a menu item is highlighted.

void itemSelected | ( | [in] MenuEvent | aEvent | ) |

is invoked when a menu item is selected.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XMenuListener.idl